Bug 164759 - internal compiler error: Segmentation fault
internal compiler error: Segmentation fault
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-31 21:47 EDT by HT Chang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-06 05:15:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed c ++ source code causing internal error (226.88 KB, text/plain)
2005-07-31 21:50 EDT, HT Chang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 23260 None None None Never

  None (edit)
Description HT Chang 2005-07-31 21:47:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
compiler stops with an internal error and asked to file a bug along with dumped source code at /tmp


Version-Release number of selected component (if applicable):
gcc-c++-4.0.1-4.fc4

How reproducible:
Always

Steps to Reproduce:
1.just compile it, you'll get the error.
2.
3.
  

Additional info:
Comment 1 HT Chang 2005-07-31 21:50:26 EDT
Created attachment 117332 [details]
preprocessed c ++ source code causing internal error
Comment 2 Jakub Jelinek 2005-08-06 05:15:23 EDT
This is ICE on invalid source, simplified testcase is:
int foo[16];
int *bar = &foo[-1];
You can't do this, as &foo[-1] does not point either inside of the foo array
nor past the last element in it.

Note You need to log in before you can comment on or make changes to this bug.